/*
	libmatroska : parse and create Matroska files, see http://matroska.sf.net/
	Copyright (C) 2002 Steve Lhomme

	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.
	
	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.
	
	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

/*!
	\file
	\version \$Id$
	\author Steve Lhomme     <robux4 @ users.sf.net>
*/
#include <cassert>

#include "StdInclude.h"
#include "EbmlBinary.h"

START_LIBEBML_NAMESPACE

EbmlBinary::EbmlBinary()
 :EbmlElement(0), Data(NULL)
{}

EbmlBinary::EbmlBinary(const EbmlRawElement & ElementToClone)
 :EbmlElement(0), Data(NULL)
{
	*(static_cast<EbmlRawElement*>(this)) = ElementToClone;
}

uint32 EbmlBinary::RenderData(IOCallback & output)
{
	output.writeFully(Data,Size);

	return Size;
}
	
uint64 EbmlBinary::UpdateSize()
{
	return Size;
}

uint64 EbmlBinary::ReadData(IOCallback & input)
{
	if (Data != NULL)
		delete Data;
	
	Data = new binary[Size];
	return input.read(Data, Size);
}

END_LIBEBML_NAMESPACE
