/*
	libmatroska : parse and create Matroska files, see http://matroska.sf.net/
	Copyright (C) 2002 Steve Lhomme

	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.
	
	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.
	
	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

/*!
	\file
	\version \$Id$
	\author Steve Lhomme     <robux4 @ users.sf.net>
*/
#include "StdInclude.h"
#include "EbmlHead.h"
#include "EbmlSubHead.h"

START_LIBEBML_NAMESPACE

const struct EbmlSemantic EbmlHead_ContextList[7] =
{
	{true, true, &EVersion::ClassInfos},        ///< EBMLVersion
	{true, true, &EReadVersion::ClassInfos},    ///< EBMLReadVersion
	{true, true, &EMaxIdLength::ClassInfos},    ///< EBMLMaxIdLength
	{true, true, &EMaxSizeLength::ClassInfos},  ///< EBMLMaxSizeLength
	{true, true, &EDocType::ClassInfos},        ///< DocType
	{true, true, &EDocTypeVersion::ClassInfos}, ///< DocTypeVersion
	{true, true, &EDocTypeReadVersion::ClassInfos}, ///< DocTypeReadVersion
};

struct EbmlSemanticContext EbmlHead_Context = {countof(EbmlHead_ContextList), EbmlHead_ContextList, NULL};

EbmlId EbmlHead::TheId = {{0x1A, 0x45, 0xDF, 0xA3}, 4 };
EbmlCallbacks EbmlHead::ClassInfos(EbmlHead::Create, EbmlHead::TheId, "EBMLHead", EbmlHead_Context);

EbmlHead::EbmlHead()
{
	Context = &EbmlHead_Context;
	
	ProcessMandatory();
}

END_LIBEBML_NAMESPACE
