/*
	libmatroska : parse and create Matroska files, see http://matroska.sourceforge.net/
	Copyright (C) 2002 Steve Lhomme

	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.
	
	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.
	
	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

/*!
	\file
	\version \$Id$
	\author Steve Lhomme     <robux4 @ users.sf.net>
*/
#ifndef LIBEBML_HEAD_H
#define LIBEBML_HEAD_H

#include "EbmlConfig.h"
#include "EbmlTypes.h"
//#include "EbmlSemantic.h"
#include "EbmlMaster.h"

START_LIBEBML_NAMESPACE
/*
/// The generic EBML elements (found in all EBML files)
extern struct EbmlSemantic EbmlSemantic[1];
extern struct EbmlSemanticContext EbmlSemanticSub;
extern EbmlId EbmlMainId;
*/
class EbmlHead : public EbmlMaster {
	public:
		EbmlHead();
		static EbmlElement & Create() {return *(new EbmlHead);}
		const EbmlCallbacks & Generic() const {return ClassInfos;}
		static EbmlCallbacks ClassInfos;

		operator const EbmlId &() const {return ClassInfos.GlobalId;}
		bool IsYourId(const EbmlId & TestId) const;
	
	protected:
		static EbmlId TheId;
};

END_LIBEBML_NAMESPACE

#endif // LIBEBML_HEAD_H
