/*
	libmatroska : parse and create Matroska files, see http://matroska.sourceforge.net/
	Copyright (C) 2002 Steve Lhomme

	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.
	
	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.
	
	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

/*!
	\file
	\version \$Id$
	\author Steve Lhomme     <robux4 @ users.sf.net>
*/
#ifndef LIBEBML_ID_H
#define LIBEBML_ID_H

#include "EbmlConfig.h"
#include "EbmlTypes.h"

START_LIBEBML_NAMESPACE

class EbmlId {
	public:
		binary Value[4];
		unsigned int Length;
	
		bool operator==(const EbmlId & TestId)
		{
			if (TestId.Length != Length)
				return false;
			for (unsigned int i=0; i<Length; i++) {
				if (TestId.Value[i] != Value[i])
					return false;
			}
			return true;
		}
};

END_LIBEBML_NAMESPACE

#endif // LIBEBML_ID_H
