/*
	libmatroska : parse and create Matroska files, see http://matroska.sf.net/
	Copyright (C) 2002 Steve Lhomme

	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.
	
	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.
	
	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

/*!
	\file
	\version \$Id$
	\author Steve Lhomme     <robux4 @ users.sf.net>
*/
#include "StdInclude.h"
#include "EbmlStream.h"

START_LIBEBML_NAMESPACE

EbmlStream::EbmlStream(IOCallback & DataStream)
 :Stream(DataStream)
{}

EbmlStream::~EbmlStream()
{}

EbmlRawElement * EbmlStream::FindNextID(const struct EbmlSemanticContext & Context, const uint64 MaxDataSize, const bool AllowUnknownSize)
{
	return EbmlRawElement::FindNextID(Stream, Context, MaxDataSize, AllowUnknownSize);
}

EbmlRawElement * EbmlStream::FindNextID(const struct EbmlSemanticContext & Context, const EbmlCallbacks & ClassInfos, const uint64 MaxDataSize, const bool AllowUnknownSize)
{
	return EbmlRawElement::FindNextID(Stream, Context, ClassInfos, MaxDataSize, AllowUnknownSize);
}

END_LIBEBML_NAMESPACE
