/*
	libmatroska : parse and create Matroska files, see http://matroska.sourceforge.net/
	Copyright (C) 2002 Steve Lhomme

	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.
	
	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.
	
	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

/*!
	\file
	\version \$Id$
	\author Steve Lhomme     <robux4 @ users.sf.net>
*/
#ifndef LIBMATROSKA_ATTACHED_H
#define LIBMATROSKA_ATTACHED_H

#include "KaxTypes.h"
#include "EbmlMaster.h"
#include "EbmlUnicodeString.h"
#include "EbmlString.h"
#include "EbmlBinary.h"

//using namespace LIBEBML_NAMESPACE;

START_LIBMATROSKA_NAMESPACE

//using namespace LIBEBML_NAMESPACE;

class KaxAttached : public LIBEBML_NAMESPACE::EbmlMaster {
	public:
		KaxAttached();
		static LIBEBML_NAMESPACE::EbmlElement & Create() {return *(new KaxAttached);}
		const LIBEBML_NAMESPACE::EbmlCallbacks & Generic() const {return ClassInfos;}
		static LIBEBML_NAMESPACE::EbmlCallbacks ClassInfos;

		operator const LIBEBML_NAMESPACE::EbmlId &() const {return ClassInfos.GlobalId;}
		bool IsYourId(const LIBEBML_NAMESPACE::EbmlId & TestId) const;
	
	protected:
		static LIBEBML_NAMESPACE::EbmlId TheId;
};

class KaxFileDescription : public LIBEBML_NAMESPACE::EbmlUnicodeString {
	public:
		KaxFileDescription() {}
		static LIBEBML_NAMESPACE::EbmlElement & Create() {return *(new KaxFileDescription);}
		const LIBEBML_NAMESPACE::EbmlCallbacks & Generic() const {return ClassInfos;}
		static LIBEBML_NAMESPACE::EbmlCallbacks ClassInfos;

		operator const LIBEBML_NAMESPACE::EbmlId &() const {return ClassInfos.GlobalId;}
		bool IsYourId(const LIBEBML_NAMESPACE::EbmlId & TestId) const;
	
	protected:
		static LIBEBML_NAMESPACE::EbmlId TheId;
};

class KaxFileName : public LIBEBML_NAMESPACE::EbmlUnicodeString {
	public:
		KaxFileName() {}
		static LIBEBML_NAMESPACE::EbmlElement & Create() {return *(new KaxFileName);}
		const LIBEBML_NAMESPACE::EbmlCallbacks & Generic() const {return ClassInfos;}
		static LIBEBML_NAMESPACE::EbmlCallbacks ClassInfos;

		operator const LIBEBML_NAMESPACE::EbmlId &() const {return ClassInfos.GlobalId;}
		bool IsYourId(const LIBEBML_NAMESPACE::EbmlId & TestId) const;
	
	protected:
		static LIBEBML_NAMESPACE::EbmlId TheId;
};

class KaxMimeType : public LIBEBML_NAMESPACE::EbmlString {
	public:
		KaxMimeType() {}
		static LIBEBML_NAMESPACE::EbmlElement & Create() {return *(new KaxMimeType);}
		const LIBEBML_NAMESPACE::EbmlCallbacks & Generic() const {return ClassInfos;}
		static LIBEBML_NAMESPACE::EbmlCallbacks ClassInfos;

		operator const LIBEBML_NAMESPACE::EbmlId &() const {return ClassInfos.GlobalId;}
		bool IsYourId(const LIBEBML_NAMESPACE::EbmlId & TestId) const;
	
	protected:
		static LIBEBML_NAMESPACE::EbmlId TheId;
};

class KaxFileData : public LIBEBML_NAMESPACE::EbmlBinary {
	public:
		KaxFileData() {}
		static LIBEBML_NAMESPACE::EbmlElement & Create() {return *(new KaxFileData);}
		const LIBEBML_NAMESPACE::EbmlCallbacks & Generic() const {return ClassInfos;}
		static LIBEBML_NAMESPACE::EbmlCallbacks ClassInfos;

		operator const LIBEBML_NAMESPACE::EbmlId &() const {return ClassInfos.GlobalId;}
		bool IsYourId(const LIBEBML_NAMESPACE::EbmlId & TestId) const;
	
	protected:
		static LIBEBML_NAMESPACE::EbmlId TheId;
};

END_LIBMATROSKA_NAMESPACE

#endif // LIBMATROSKA_ATTACHED_H
