/*
	libmatroska : parse and create Matroska files, see http://matroska.sf.net/
	Copyright (C) 2002 Steve Lhomme

	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.
	
	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.
	
	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

/*!
	\file
	\version \$Id$
	\author Steve Lhomme     <robux4 @ users.sf.net>
*/
#include "StdInclude.h"
#include "KaxAttachements.h"
#include "KaxAttached.h"
#include "KaxContexts.h"

using namespace LIBEBML_NAMESPACE;

// sub elements
START_LIBMATROSKA_NAMESPACE

struct EbmlSemantic KaxAttachements_ContextList[1] =
{
	{true, false, &KaxAttached::ClassInfos},        ///< EBMLVersion
};

struct EbmlSemanticContext KaxAttachements_Context = {countof(KaxAttachements_ContextList), KaxAttachements_ContextList, &KaxSegment_Context};

EbmlId KaxAttachements::TheId = {{0x19, 0x41, 0xA4, 0x69}, 4 };
EbmlCallbacks KaxAttachements::ClassInfos(KaxAttachements::Create, KaxAttachements::TheId, "Attachements", KaxAttachements_Context);

KaxAttachements::KaxAttachements()
	:EbmlMaster()
{
	SetSizeLength(2); // mandatory min size support (for easier updating) (2^(7*2)-2 = 16Ko)
	Context = &KaxAttachements_Context;
	ProcessMandatory();
}

END_LIBMATROSKA_NAMESPACE
