/*
	libmatroska : parse and create Matroska files, see http://matroska.sourceforge.net/
	Copyright (C) 2002 Steve Lhomme

	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.
	
	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.
	
	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

/*!
	\file
	\version \$Id$
	\author Steve Lhomme     <robux4 @ users.sf.net>
*/
#ifndef LIBMATROSKA_CONTEXTS_H
#define LIBMATROSKA_CONTEXTS_H

#include "KaxTypes.h"
#include "EbmlRawElement.h"

//using namespace LIBEBML_NAMESPACE;

START_LIBMATROSKA_NAMESPACE

extern struct LIBEBML_NAMESPACE::EbmlSemanticContext KaxSegment_Context;
extern struct LIBEBML_NAMESPACE::EbmlSemanticContext KaxAttachements_Context;
extern struct LIBEBML_NAMESPACE::EbmlSemanticContext KaxAttached_Context;
extern struct LIBEBML_NAMESPACE::EbmlSemanticContext KaxFileDescription_Context;
extern struct LIBEBML_NAMESPACE::EbmlSemanticContext KaxFileName_Context;
extern struct LIBEBML_NAMESPACE::EbmlSemanticContext KaxMimeType_Context;
extern struct LIBEBML_NAMESPACE::EbmlSemanticContext KaxFileData_Context;
extern struct LIBEBML_NAMESPACE::EbmlSemanticContext KaxChapters_Context;
extern struct LIBEBML_NAMESPACE::EbmlSemanticContext KaxCluster_Context;
extern struct LIBEBML_NAMESPACE::EbmlSemanticContext KaxCues_Context;
extern struct LIBEBML_NAMESPACE::EbmlSemanticContext KaxInfo_Context;
extern struct LIBEBML_NAMESPACE::EbmlSemanticContext KaxSeekHead_Context;
extern struct LIBEBML_NAMESPACE::EbmlSemanticContext KaxTracks_Context;

END_LIBMATROSKA_NAMESPACE

#endif // LIBMATROSKA_CONTEXTS_H
