/*
	libmatroska : parse and create Matroska files, see http://matroska.sf.net/
	Copyright (C) 2002 Steve Lhomme

	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.
	
	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.
	
	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

/*!
	\file
	\version \$Id$
	\author Steve Lhomme     <robux4 @ users.sf.net>
*/
#include "StdInclude.h"
#include "KaxCues.h"

// sub elements

START_LIBMATROSKA_NAMESPACE

using namespace LIBEBML_NAMESPACE;

struct EbmlSemantic *KaxCues_ContextList;

struct EbmlSemanticContext KaxCues_Context = {0, KaxCues_ContextList};

EbmlId KaxCues::TheId = {{0x1C, 0x53, 0xBB, 0x6B}, 4 };
EbmlCallbacks KaxCues::ClassInfos(KaxCues::Create, KaxCues::TheId, "Cues", KaxCues_Context);

KaxCues::KaxCues()
	:EbmlMaster()
{
	Context = &KaxCues_Context;
	ProcessMandatory();
}

END_LIBMATROSKA_NAMESPACE
