/*
	libmatroska : parse and create Matroska files, see http://matroska.sf.net/
	Copyright (C) 2002 Steve Lhomme

	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.
	
	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.
	
	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

/*!
	\file
	\version \$Id$
	\author Steve Lhomme     <robux4 @ users.sf.net>
*/
#include "StdInclude.h"
#include "KaxInfo.h"

// sub elements

START_LIBMATROSKA_NAMESPACE

using namespace LIBEBML_NAMESPACE;

struct EbmlSemantic *KaxInfo_ContextList;

struct EbmlSemanticContext KaxInfo_Context = {0, KaxInfo_ContextList};

EbmlId KaxInfo::TheId = {{0x15, 0x49, 0xA9, 0x66}, 4 };
EbmlCallbacks KaxInfo::ClassInfos(KaxInfo::Create, KaxInfo::TheId, "Info", KaxInfo_Context);

KaxInfo::KaxInfo()
	:EbmlMaster()
{
	Context = &KaxInfo_Context;
	ProcessMandatory();
}

END_LIBMATROSKA_NAMESPACE
