/*
	libmatroska : parse and create Matroska files, see http://matroska.sourceforge.net/
	Copyright (C) 2002 Steve Lhomme

	This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

/*!
	\file
	\version \$Id: CodecHeader.hpp,v 1.2 2002/05/24 15:53:41 robux4 Exp $
	\author Ingo Ralf Blum   <ingoralfblum @ users.sf.net>
	\author Lasse Krkkinen <tronic @ users.sf.net>
	\author Steve Lhomme     <robux4 @ users.sf.net>
*/
#ifndef LIBMATROSKA_CODEC_HEADER_HPP
#define LIBMATROSKA_CODEC_HEADER_HPP

#include <vector>

#include "Config.hpp"
#include "Types.hpp"
#include "IOCallback.hpp"

START_MATROSKA_NAMESPACE

class Track;

/*!
    \class CodecHeader
    \brief
*/
class CodecHeader {
    public :
	static uint32 Render(IOCallback & output, const std::vector<Track *> & aTracks);
	static uint32 Read(IOCallback & input, std::vector<Track *> & aTracks);

    protected:
	static const character HEADER[4];

};

END_MATROSKA_NAMESPACE

#endif // LIBMATROSKA_CODEC_HEADER_HPP
