/*
	libmatroska : parse and create Matroska files, see http://matroska.sourceforge.net/
	Copyright (C) 2002 Steve Lhomme

	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.
	
	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.
	
	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

/*!
	\file
	\version \$Id$
	\author Steve Lhomme     <robux4 @ users.sf.net>
*/
#ifndef LIBEBML_SEMANTIC_H
#define LIBEBML_SEMANTIC_H

#include "EbmlTypes.h"

START_LIBEBML_NAMESPACE

enum EbmlSemanticType {
	EBML_U_INTEGER,
	EBML_S_INTEGER,
	EBML_BINARY,
	EBML_STRING,
	EBML_STRING_UNICODE,
	EBML_FLOAT,
	EBML_MASTER,
};

/*!
	\brief contains the semantic informations for a given level and all sublevels
	\todo move the ID in the element class
*/
struct EbmlSemantic {
	bool Mandatory; ///< wether the element is mandatory in the context or not
	bool Unique;
//	EbmlCallbacks & GetCallbacks;
	struct _EbmlCallbacks GetCallbacks;
};

/*!
	Context of the element
	\todo allow more than one parent ?
*/
struct EbmlSemanticContext {
	unsigned int Size;          ///< number of elements in the table
	struct EbmlSemantic *MyTable; ///< First element in the table
	struct EbmlSemanticContext *UpTable; ///< Parent element
};


END_LIBEBML_NAMESPACE

#endif // LIBEBML_SEMANTIC_H
