/*
	libmatroska : parse and create Matroska files, see http://matroska.sourceforge.net/
	Copyright (C) 2002 Steve Lhomme

	This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

/*!
	\file
	\version \$Id: FileName.hpp,v 1.2 2002/05/08 16:31:17 robux4 Exp $
	\author Ingo Ralf Blum   <ingoralfblum @ users.sf.net>
	\author Lasse Krkkinen <tronic @ users.sf.net>
	\author Steve Lhomme     <robux4 @ users.sf.net>
*/
#ifndef LIBMATROSKA_FILE_NAME_HPP
#define LIBMATROSKA_FILE_NAME_HPP

#include "Config.hpp"
#include "Types.hpp"
#include "TruncString.hpp"

START_MATROSKA_NAMESPACE

/*!
    \class FileName
    \brief
*/
class FileName : public TruncString {
    public:
	enum name_level {
	    NAME_VALID,   ///< The filename is valid
	    NAME_RELAXED, ///< The filename is valid with relaxed characters
	    NAME_INVALID, ///< The filename is invalid
	};

	FileName(size_t limit, const std::string & str = "", const char a_pad = '\0');
	name_level Test() const;

	void MakeSafe();
	void MakeRelaxed();

	FileName & operator=(const std::string & aStr) { *(reinterpret_cast<TruncString*>(this)) = aStr; return *this;}
};

END_MATROSKA_NAMESPACE

#endif // LIBMATROSKA_FILE_NAME_HPP
