/*
	libmatroska : parse and create Matroska files, see http://matroska.sourceforge.net/
	Copyright (C) 2002 Steve Lhomme

	This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

/*!
	\file
	\version \$Id: TrackAudio.hpp,v 1.7 2002/06/17 20:06:44 robux4 Exp $
	\author Lasse Krkkinen <tronic @ users.sf.net>
	\author Steve Lhomme     <robux4 @ users.sf.net>
*/
#ifndef LIBMATROSKA_TRACK_AUDIO_HPP
#define LIBMATROSKA_TRACK_AUDIO_HPP

#include "Config.hpp"
#include "Types.hpp"
#include "TrackType.hpp"
#include "IOCallback.hpp"

START_MATROSKA_NAMESPACE

/*!
	\class TrackAudio
	\brief
*/
class TrackAudio : public TrackType {
    public:
	TrackAudio();

	uint32 Render(binary *buffer) const;
	void Read(const binary *buffer);

	// getters
	void SetInfo(const TrackInfoAudio & aTrackInfo);

	operator TrackInfoAudio() const {return myInfo;}

    protected:
	TrackInfoAudio myInfo;
};

END_MATROSKA_NAMESPACE

#endif // LIBMATROSKA_TRACK_AUDIO_HPP
