// Package:
//  This file is part of the Ingo++ library. Contact Ingo Ralf Blum for more information.
//
// Copyright: Copyright Ingo Ralf Blum, 2001
// You are not allowed to remove this header from this file.
//
// Authors:
//  Ingo Ralf Blum <ingoralfblum@users.sf.net>, <papierkorb@ingoralfblum.com>, <ingoralfblum@gmx.de>
// 
// File version: $Revision: 1.2 $
//
// License: LGPL
//  You should have received a copy of the GNU (Lesser) General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#include "Config.hpp"
#include "StdInclude.hpp"
#include "COMError.hpp"

#include <sstream>

START_MATROSKA_NAMESPACE

void COMError::checkPointer(void*Ptr)throw(COMError)
{
	if(Ptr==0)
		throw COMError(E_POINTER);
}

COMError::COMError(DWORD Result)throw():std::runtime_error(getHRESULTIdentifier(Result))
{
	this->Result=Result;
}

COMError::COMError(DWORD Result,const std::string&Message):std::runtime_error(Message+": "+getHRESULTIdentifier(Result))
{
	this->Result=Result;
}

HRESULT COMError::getHRESULT()const throw()
{
	return Result;
}

std::string getHRESULTIdentifier(HRESULT Result)throw()
{
	std::ostringstream Str;
	Str<<"HRESULT value "<<std::hex<<Result<<std::ends;
	return Str.str();
}

END_MATROSKA_NAMESPACE
