// Package:
//  This file is part of the Ingo++ library. Contact Ingo Ralf Blum for more information.
//
// Copyright: Copyright Ingo Ralf Blum, 2001
// You are not allowed to remove this header from this file.
//
// Authors:
//  Ingo Ralf Blum <ingoralfblum@users.sf.net>, <papierkorb@ingoralfblum.com>, <ingoralfblum@gmx.de>
// 
// File version: $Revision: 1.2 $
//
// License: LGPL
//  You should have received a copy of the GNU (Lesser) General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef LIBMATROSKA_COMERROR_HPP
#define LIBMATROSKA_COMERROR_HPP

#include "HRESULTHolder.hpp"

#include <string>

START_MATROSKA_NAMESPACE

// Get a readable form of the HRESULT value
std::string getHRESULTIdentifier(HRESULT Value);

class COMError:public std::runtime_error,public HRESULTHolder
{
private:
	HRESULT Result;

public:
	COMError(DWORD Result)throw();
	COMError(DWORD Result,const std::string&Message);

	virtual HRESULT getHRESULT()const throw();

	// Check, whether the pointer is 0 and if so, throw a COMError with an error
	// code of E_POINTER.
	static void checkPointer(void*Ptr);
};

namespace com
{
	typedef COMError Error;
}; // namespace com

END_MATROSKA_NAMESPACE

#endif // LIBMATROSKA_COMERROR_HPP
