// Package:
//  This file is part of the Ingo++ library. Contact Ingo Ralf Blum for more information.
//
// Copyright: Copyright Ingo Ralf Blum, 2001
// You are not allowed to remove this header from this file.
//
// Authors:
//  Ingo Ralf Blum <ingoralfblum@users.sf.net>, <papierkorb@ingoralfblum.com>, <ingoralfblum@gmx.de>
// 
// File version: $Revision: 1.3 $
//
// License: LGPL
//  You should have received a copy of the GNU (Lesser) General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef INGO_COM_HRESULTHOLDER_HPP
#define INGO_COM_HRESULTHOLDER_HPP

#include "../../Config.hpp"

#include <exception>
#include <windows.h>

START_MATROSKA_NAMESPACE

class HRESULTHolder
{
public:
	virtual HRESULT getHRESULT()const throw()=0;

	// This method is used to get the best fitting HRESULT code for various exceptions.
	// To acomplish this, the methods uses RTTI.
	static HRESULT getHRESULTFromException(const std::exception&Ex)throw();

	// If the result has the FACILITY_WIN32 set, the error code is extracted and the
	// corresponding WindowsException is thrown. However an exception is only
	// thrown, when FAILED(Result) resolves to true
	static void throwOnError(HRESULT Result);
	static void throwOnError(HRESULT Result,const char*Message);
};

END_MATROSKA_NAMESPACE

#endif
