/*
	libmatroska : parse and create Matroska files, see http://matroska.sf.net/
	Copyright (C) 2002 Steve Lhomme

	This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

/*!
    \file
    \version \$Id: test4.cpp,v 1.5 2002/05/14 11:43:38 robux4 Exp $
    \brief Test writing of the Type Header
    \author Lasse Krkkinen <tronic @ users.sf.net>
    \author Steve Lhomme     <robux4 @ users.sf.net>
*/

#include "FileKax.hpp"
#include "ActualHeader.hpp"
#include "StdIOCallback.hpp"

using namespace LIBMATROSKA_NAMESPACE;

int main(void)
{
    TypeHeader aHeader;
    StdIOCallback Header_file("header.mcf",StdIOCallback::MODE_CREATE);

    aHeader.SetInfo("a big info about the file that should be too long to be completely handled in the header");
    aHeader.SetAds("http://mcf.sf.net/");
    aHeader.SetSize("160");

    aHeader.Render(Header_file);

    StdIOCallback Header2_file("header2.mcf",StdIOCallback::MODE_CREATE);
    FileKax totalHeader(Header2_file);
//    totalHeader.type_SetInfo("a big info about the file that should be too long to be completely handled in the header");
    totalHeader.type_SetAds("http://mcf.sf.net/");
    totalHeader.type_SetSize(0x1400);

    totalHeader.RenderHead("libmatroska test4.cpp");

    return 0;
}
